package com.gh.gamecenter.login.entity;

import androidx.annotation.NonNull;

import com.google.gson.annotations.SerializedName;

/**
 * Created by khy on 29/11/17.
 */
public class LoginTokenEntity {

    @NonNull
    private String id;

    @SerializedName("access_token")
    @NonNull
    private TokenEntity accessToken;

    @SerializedName("refresh_token")
    @NonNull
    private TokenEntity refreshToken;

    private String loginType;

    @SerializedName("first_login")
    private boolean firstLogin;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public TokenEntity getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(TokenEntity accessToken) {
        this.accessToken = accessToken;
    }

    public TokenEntity getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(TokenEntity refreshToken) {
        this.refreshToken = refreshToken;
    }

    public String getLoginType() {
        return loginType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    public boolean isFirstLogin() {
        return firstLogin;
    }

    public void setFirstLogin(boolean firstLogin) {
        this.firstLogin = firstLogin;
    }
}
